import ui.fullCarUi as fullcar
from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QMainWindow, QDialog, QMessageBox
class FullcarWindow(QDialog, fullcar.Ui_Dialog):
    def __init__(self):
        super(FullcarWindow, self).__init__()
        self.setupUi(self)
        self.results = False

        # 设置属性为模态框
        self.setWindowModality(Qt.ApplicationModal)
        self.pushButton.clicked.connect(self.ok_btn)

    def ok_btn(self):
        self.text = self.lineEdit.text()
        self.results = True
        self.close()

    def get_results(self):
        return self.results
    def get_text(self):
        return self.text

